%define name Borges
%define version 0.7.12
%define release 1mdk

Summary: Mandrake's Documents Management System
Name: %{name}
Version: %{version}
Release: %{release}
Requires: %{name}-module
Requires: libxslt-proc
Requires: make
Requires: perl
Requires: perl-XML-Twig
Requires: perl-XML-Parser
Requires: perl-DateManip
Requires: perl-XML-LibXML
Requires: ImageMagick
Requires: dia
Requires: XFree86-Xvfb
Requires: xfig
Url: http://www.linux-mandrake.com/en/doc/project/Borges/
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Publishing
BuildRequires: libxslt-proc
BuildRequires: perl-XML-LibXML
BuildRequires: perl-XML-Twig
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArch: noarch	

%define INSTALLDIR /usr/share/%{name}/

%description

Borges is a platform to manage documents in many languages. Initially
aimed at managing the modular set of training sequences for training
manuals, it can now be used for any project using documents based on
the DocBook XML DTD.

%package DocBook
Summary: The Borges DocBook module 
Group: Publishing
Provides: Borges-module
Requires: Borges
Requires: docbook-dtd-xml
Requires: docbook-style-xsl
Requires: docbook-style-dsssl
Requires: tetex-latex
Requires: jadetex
Requires: openjade

%description DocBook
This package contains the Training-DocBook module for the Borges Documents
Management System.  
It holds the different files allowing to handle documents written with
the DocBook XML DTD.


%package doc
Summary: The Borges DMS documentation
Group: Publishing
Requires: Borges-DocBook

%description doc
This package contains the documentation and the documentation sources
for the Borges Documents Management System. The doc is written with
Borges so the sources included can be regarded as a tutorial for
learning how to use Borges.

%prep
%setup -q

%build
%makeinstall PREFIX=$(pwd)/installdir/
%make DISTDIR=$(pwd)/installdir/usr/share/Borges/

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall PREFIX=$RPM_BUILD_ROOT/
rm -f $RPM_BUILD_ROOT/usr/share/Borges/backend/Makefile.TDB
rm -f $RPM_BUILD_ROOT/usr/share/Borges/template/drivers/TDB-tex.xsl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README VERSION TODO CHANGELOG
%dir %{INSTALLDIR}
# version management stylesheets
%dir %{INSTALLDIR}/XSL
%{INSTALLDIR}/XSL/*.xsl
# management perl/shell scripts
%dir %{INSTALLDIR}/bin
%{INSTALLDIR}/bin/*.sh
%{INSTALLDIR}/bin/*.pl
%{INSTALLDIR}/bin/diff2html
# Makefile structure
%dir %{INSTALLDIR}/backend
%{INSTALLDIR}/backend/cvsignore.*
%{INSTALLDIR}/backend/Makefile.*
# System implementation template
%dir %{INSTALLDIR}/template/conf
%{INSTALLDIR}/template/conf/*
%{INSTALLDIR}/template/manuals
%{INSTALLDIR}/template/images
%{INSTALLDIR}/backend/psgml-top.xml
%dir %{INSTALLDIR}/template/reports
%{INSTALLDIR}/template/Makefile
%{INSTALLDIR}/template/reports/Makefile
%{INSTALLDIR}/template/README
%{INSTALLDIR}/VERSION
%{INSTALLDIR}/README
%{INSTALLDIR}/LICENSE
%{INSTALLDIR}/COPYING
%dir %{INSTALLDIR}/template/drivers

%files DocBook
%defattr(-,root,root)
%{INSTALLDIR}/template/drivers/docbook-*sl
%{INSTALLDIR}/backend/Makefile.DB

%files doc
%defattr(-,root,root)
%doc README VERSION TODO CHANGELOG LICENSE COPYING doc


%changelog
* Thu Jan 30 2003  <camille@ke.mandrakesoft.com> 0.7.12-1mdk
- 0.7.12 (bugfixes)

* Thu Jan 30 2003  <camille@ke.mandrakesoft.com> 0.7.11-1mdk
- 0.7.11

* Tue Jan 28 2003  <camille@ke.mandrakesoft.com> 0.7.10-1mdk
- 0.7.10

* Thu Jan  9 2003  <camille@ke.mandrakesoft.com> 0.7.9-1mdk
- 0.7.9

* Thu Dec 26 2002 Stefan van der Eijk <stefan@eijk.nu> 0.7.8-2mdk
- BuildRequires

* Wed Dec 18 2002  <camille@ke.mandrakesoft.com> 0.7.8-1mdk
- 0.7.8

* Fri Dec 13 2002  <camille@ke.mandrakesoft.com> 0.7.7c-1mdk
- 0.7.7.c

* Fri Dec 13 2002  <camille@ke.mandrakesoft.com> 0.7.7b-1mdk
- 0.7.7b

* Fri Dec 13 2002  <camille@ke.mandrakesoft.com> 0.7.7a-1mdk
- 0.7.7a released for Cooker perl-XML-Twig fixes

* Mon Dec  9 2002  <camille@ke.mandrakesoft.com> 0.7.7-2mdk
- removed BuildRequires: Borges
- install on temporary dir first to be able to compile doc

* Fri Dec  9 2002 Camille Begnis <camille@ke.mandrakesoft.com> 0.7.7-1mdk
- 0.7.7
- BuildRequires: Borges

* Fri Nov 22 2002 Camille Begnis <camille@ke.mandrakesoft.com> 0.7.6-1mdk
- 0.7.6
- Added ImageMagick dependency
- fixed "Installed (but unpackaged) file(s)"

* Tue Nov 12 2002  <camille@ke.mandrakesoft.com> 0.7.5-1mdk
- 0.7.5

* Thu Nov  7 2002  <camille@ke.mandrakesoft.com> 0.7.4-1mdk
- 0.7.4

* Tue Oct  8 2002  <camille@ke.mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Fri Sep  6 2002  <camille@ke.mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Thu Sep  5 2002  <camille@ke.mandrakesoft.com> 0.7.1-1mdk
- 0.7.1

* Thu Aug 22 2002  <camille@ke.mandrakesoft.com> 0.7.0-1mdk
- 0.7.0

* Tue Aug 20 2002  <camille@ke.mandrakesoft.com> 0.6.9-1mdk
- 0.6.9

* Fri Aug 16 2002 Camille Bgnis <camille@norman.mandrakesoft.com> 0.6.8-1mdk
- Install in /usr/share/ rather than /opt/

* Fri Aug 16 2002 Camille Bgnis <camille@norman.mandrakesoft.com> 0.6.7-2mdk
- ADD perl-XML-Parser dep.

* Wed Aug 14 2002 Camille Bgnis <camille@norman.mandrakesoft.com> 0.6.7-1mdk
- Fabian: 0.6.7
- Fix compilation with unicode in perl 5.8

* Mon Jul 29 2002 Camille Bgnis <camille@home.begnis.org> 0.6.6-1mdk
- 0.6.6 (optim)

* Fri Jul 26 2002 Camille Bgnis <camille@home.begnis.org> 0.6.5-1mdk
- 0.6.5 (added addddoc and addlang targets)

* Fri Jun 28 2002 Camille Bgnis <camille@home.begnis.org> 0.6.4-1mdk
- 0.6.4 (updated doc)
- Added tetex-latex dependency

* Thu Jun 27 2002 Camille Bgnis <camille@home.begnis.org> 0.6.3-1mdk
- 0.6.3 (bugfixes)

* Mon Jun 10 2002 Camille Bgnis <camille@home.begnis.org> 0.6.2-1mdk
- 0.6.2

* Fri Jun  7 2002 Camille Bgnis <camille@home.begnis.org> 0.6.1-2mdk
- 0.6.1

* Thu Jun  6 2002 Camille Bgnis <camille@home.begnis.org> 0.6.0-2mdk
- adjust requires with newer TDB packages

* Thu Jun  6 2002 Camille Bgnis <camille@home.begnis.org> 0.6.0-1mdk
- Make the system work with TDB module and documents
- minor bugfixes and improvements
- trap EXIT code when making images so that virtual X server 
  never stays running

* Tue Jun  4 2002 Camille Bgnis <camille@home.begnis.org> 0.5.5-1mdk
- 0.5.5

* Fri May 31 2002 Camille Bgnis <camille@home.begnis.org> 0.5.4-1mdk
- 0.5.4

* Fri May 31 2002 Camille Bgnis <camille@home.begnis.org> 0.5.3-1mdk
- 0.5.3
- the Sample dir were missing...

* Thu May 30 2002 Camille Bgnis <camille@home.begnis.org> 0.5.2-1mdk
- 0.5.2
- Moved doc to a separate package

* Tue May 28 2002 Camille Bgnis <camille@home.begnis.org> 0.5.1-1mdk
- See CHANGELOG
- Added perl-XML-LibXML required

* Fri May 24 2002 Camille Bgnis <camille@home.begnis.org> 0.5.0-1mdk
- See CHANGELOG

* Thu May 23 2002 Camille Bgnis <camille@home.begnis.org> 0.4.6-1mdk
- moved TDB stuff to anothe package/CVS
- 0.4.6: little bugfix in template creation (Makefile.manual.include)

* Tue May 21 2002 Camille Bgnis <camille@home.begnis.org> 0.4.5-1mdk
- Bugfixes for custom Makefile.include

* Fri May 17 2002 Camille Bgnis <camille@home.begnis.org> 0.4.4-1mdk
- Add many more elements to be indexed
- Fix ugly XML formatting during adding TDs

* Thu May 16 2002 Camille Bgnis <camille@home.begnis.org> 0.4.3-1mdk
- IDs are assigned to most elements containing #PCDATA
- bugfix in change_revision


* Tue May 14 2002 Camille Bgnis <camille@home.begnis.org> 0.4.2-1mdk
- mails generation working
- bugfix in revision change

* Tue May 14 2002 Camille Bgnis <camille@home.begnis.org> 0.4.1-1mdk
- scatter ids when pproof, not write
- do not erase module when scattering IDs if not valid module

* Mon May 13 2002 Camille Bgnis <camille@home.begnis.org> 0.4.0-1mdk
- add a make all target un reports/
- fix i18n bug
- now no more suffices for compiling in DocBook

* Fri May 10 2002 Camille Bgnis <camille@home.begnis.org> 0.3.7-1mdk
- Fix module IDs scattering

* Mon May  6 2002 Camille Bgnis <camille@home.begnis.org> 0.3.6-1mdk
- Apart bugfixes, add the possibility to compile HTML
  chunked output (does not work correctly yet)

* Tue Apr 30 2002 Camille Bgnis <camille@home.begnis.org> 0.3.5-1mdk
- better PNG images handling
- epstopdf from newer tetex now works
- better handling of module templates and revhistory

* Mon Apr 29 2002 Camille Bgnis <camille@home.begnis.org> 0.3.4-1mdk
- Fix bug in modules report generation

* Sat Apr 27 2002 Camille Bgnis <camille@home.begnis.org> 0.3.3-1mdk
- Fix error when there are no modules
- Fix lang changes

* Fri Apr 26 2002 Camille Bgnis <camille@home.begnis.org> 0.3.2-1mdk
- Fix Timezone problems with perl Date::Manip

* Fri Apr 26 2002 Camille Bgnis <camille@home.begnis.org> 0.3.1-1mdk
- Fix templates not made bug reported by Fabian

* Thu Apr 25 2002 Camille Bgnis <camille@home.begnis.org> 0.3.0-1mdk
- Reports now work

* Wed Apr 24 2002 Camille Bgnis <camille@home.begnis.org> 0.2.2-2mdk
- Ooops forgot Makefile.manual.include

* Tue Apr 23 2002 Camille Bgnis <camille@home.begnis.org> 0.2.2-1mdk
- 0.2.2: Add customization features to make it work with MDK manuals

* Sat Apr 20 2002 Camille Bgnis <camille@home.begnis.org> 0.2.1-1mdk
- Add a new DocBook example

* Thu Apr 18 2002 Camille Bgnis <camille@home.begnis.org> 0.2.0-1mdk
- add global entities and more graphic formats handling
- requires xfig, dia, Xvfb (dia sucks)
- Ooops switched DocBook and TDB packages files :-)

* Mon Apr 15 2002 Camille Bgnis <camille@home.begnis.org> 0.1.1-1mdk
- Little update to allow various outputs with different stykesheets

* Fri Apr 12 2002 Camille Bgnis <camille@koth.begnis.home> 0.1-2mdk
- Small bugfixes
- Add XML::Twig require

* Wed Apr  3 2002 Camille Bgnis <camille@koth.begnis.home> 0.1-1mdk
- First drafts...


# end of file
